#include "qbf.hpp"

QBF::QBF(void)
    : status(boost::logic::indeterminate),
      prob(1), size(0), cost(0), 
      parent(NULL)
{
    static unsigned long counter = 1;
    id = counter++;
}

void QBF::reset_status()
{
    status = boost::logic::indeterminate;
}

QBF::~QBF(void)
{
}

void QBF::set_parent(QBF* p)
{
    parent = p;
}

void QBF::update()
{
    update_child_cost();
    update_prob();
    update_size();
}
